    %%%%%%%%%%%%%%CATHODE%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  
    
    function [dy,Sigma] = Cathode(x,y)
    
        global Const
        
                
        T = y(1);
        phi = y(2);
        xO2 = y(3);
        Jq = y(4);
        sigmac = y(5);
        

        Swc = Const.Swgas + Const.cpwgas*log(T/Const.Tq);
        qc = -T*Swc;
        Hwc = Const.Hwgas + Const.cpwgas*(T-Const.Tq);
        Ho2 = Const.cpo2*(T-Const.Tq);
        SO2 = Const.So2 + Const.cpo2*log(T/Const.Tq)-Const.R*log(0.21);
        peltc = T*(0.25*SO2-Const.Se-((Const.Jwa/(Const.j/Const.F))+...
            0.5)*Swc);


        dTdx = -(1/Const.LsAA)*(Jq - peltc*(Const.j/Const.F));
        dxO2dx = Const.j/(4*Const.F*Const.DON);
        dphidx = (-peltc/(T*Const.F))*dTdx-((Const.R*T)/...
            (4*Const.F*xO2))*dxO2dx-Const.rac*Const.j;
        dJqdx = -Const.j*dphidx-Const.Jwc*Const.cpw*dTdx-Const.JO2*...
            Const.cpo2*dTdx;
        
        dsigmadx = -(Jq/(T*T))*dTdx-Const.JO2*(1/T)*Const.R*(1/xO2)*...
            dxO2dx-Const.j*(1/T)*dphidx;
        
        dy = [dTdx
            dphidx
            dxO2dx  
            dJqdx
            dsigmadx];
        
        if nargout > 1
            Sigma = -(Jq/(T*T))*dTdx-Const.JO2*(1/T)*Const.R*(1/xO2)*...
                dxO2dx-Const.j*(1/T)*dphidx;
        end
    
     end