%%%%%%Finding the correct water flux in the anode backing/membrane

function res = Jw(Jw0,Jq0)

    global Const
    
    %Parameters used in the calculation
    pw = ps(Const.T0);  
    xw0 = pw/(Const.p);
    Sh2 = Const.Sh2 + Const.cph2*log(Const.T0/Const.Tq);
    Se = -2;
    Swg = Const.Swgas + Const.cpwgas*log(Const.T0/Const.Tq);
    pelta = Const.T0*(-0.5*Sh2-Se);
    qa = -Const.T0*Swg;
    
    %Finding the temperature at the end of the anode backing
    T1 = (((-Jq0 + pelta*(Const.j/Const.F)+qa*Jw0)*Const.ds)/...
        Const.LsAA) + Const.T0;
    
    %Saturation pressure at temperature T1
    Psat1 = ps(T1);
    
    %Mole fraction of water at the end of the anode backing
    xw1 = xw0 - (Jw0*Const.ds/Const.Dwh);
    
    %Activty at the end of the anode backing
    a1 = Const.p*xw1/Psat1;
    
    %Water content at the activity a1
    lambda1 = Xi(a1);
    
    lambda2 = 14;
    
    Jwm = -(Const.Dm*Const.rodry/Const.Mm)*(lambda2 - lambda1)/...
        Const.dm+Const.twm*(Const.j/Const.F);
    
    res = Jw0 - Jwm;
    
end