%Finding the activity from known water content

function a = activity(lambda)

    if lambda < 0
        disp('Lambda is negative!')
        pause
    end
    if lambda > 16.8
        disp('Lambda is too large!')
        pause
    end
    
    poly = [36.0 - 39.85 17.81 (0.043 - lambda)];
    r = roots(poly);
    a = [];
    for i = 1:length(r)
        if imag(r(i)) == 0
            a = [a; r(i)];
        end
    end
    
    if a > 1
        a = (lambda - 14)/1.4 + 1;
        if (a < 1) | (a > 3)
            disp('No physical activity found)')
            pause
        end
    end
end
    