function [Yout, Sigma] =cathodesurf(Yin)

    global Const

    Tms = Yin(1);
    phim = Yin(2);
    awm = Yin(3);
    Jqm = Yin(4);
    
    Swc = Const.Swgas + Const.cpwgas*log(Tms/Const.Tq);
    Swm = Const.Swm + Const.cpw*log(Tms/Const.Tq);
    Sh = Const.cpH*log(Tms/Const.Tq);
    SO2 = Const.So2 + Const.cpo2*log(Tms/Const.Tq)-Const.R*log(0.21);
    pic = Tms*(0.25*SO2-Const.Se-((Const.Jwa/Const.j)+0.5)*Swc);
    qc = -Tms*Swc;
    
    DeltaG = (1/(2*Const.F))*(Const.Hwgas+Const.cpwgas*(Tms-Const.Tq)-Tms*(Const.Swgas+Const.cpwgas*log(Tms/Const.Tq)))-(1/(4*Const.F))*(Const.cpo2*(Tms-Const.Tq)-Tms*Const.cpo2*log(Tms/Const.Tq));
    
    Overpot = (2*Const.R*Tms/Const.F)*log(Const.j/Const.j0);
    
    
    Energy = Jqm+Const.Jwm*Const.Hwm-Const.Jwc*Const.Hwgas-Const.JO2*Const.cpo2*(Tms-Const.Tq);
    
    Energy2 = Energy-Const.j*(-Overpot+(1/Const.F)*((-pic/Tms)*(-1/Const.Ls)*(-qc*(Const.Jwc-Const.twc*(Const.j/Const.F))-pic*(Const.j/Const.F))...
        -Const.rs*Const.j)-DeltaG);
    
    Energy3 = 1-(1/Const.F)*(pic/Tms)*(1/Const.Ls);
    
    Jqc = Energy2/Energy3;
    
    DeltascT = -(1/Const.Ls)*(Jqc-qc*(Const.Jwc-Const.twc*(Const.j/Const.F))-pic*Const.j/(Const.F));
    
    Tsc = Tms+DeltascT;   
    
    Deltaphieff = (1/Const.F)*(-(pic/Tsc)*DeltascT-Const.rs*Const.j)-Overpot;
    
    Deltaphi = Deltaphieff-DeltaG;
    
    phic = phim+Deltaphi;
    
    Yout = [Tsc phic Jqc];
    
    Sigma = Jqc*((1/Tsc)-(1/Tms))-Const.j*(1/Tms)*Deltaphieff;
    
end
